/* You may freely copy, distribute and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to
 * its fitness for any particular use.
 * 
 * This protocol specifies methods for passing call records between client
 * and server
 * 
 * CallProvider implements this protocol within the CallServer application.
 * The CallClient application knows about these methods only through this
 * protocol; it doesn't need to know about the class that actually
 * implements them.  
 */

#import "callData.h"

@protocol CallProvider
- (id <CallData>)lookupCall:(const char *)fetchName;
- (id <CallData>)newRecord;
- storeCall:(id <CallData>)theRecord;
@end